Bug 245477 - qt4: -devel should depend on libstdc++-devel
Summary: qt4: -devel should depend on libstdc++-devel
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: qt4
Version: 7
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-06-23 20:31 UTC by Greg Martyn
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-23 21:51:37 UTC


Attachments (Terms of Use)

Description Greg Martyn 2007-06-23 20:31:44 UTC
Description of problem:
qt4-devel should depend on libstdc++-devel

Version-Release number of selected component (if applicable):
4.3.0-2.fc7

How reproducible:
Always

Steps to Reproduce:
1. Install fedora
2. yum -y install qt4 qt4-devel
3. Watch as qt4 apps fail to build
  
Actual results:
Errors like:
/usr/include/QtCore/qstring.h:42:22: error: string: No such file or directory
..during compilation

Expected results:
Compiled FOSS code

Additional info:

Comment 1 Rex Dieter 2007-06-23 21:04:49 UTC
gcc-c++ already Requires: libstdc++-devel

How can you anywhere without a compiler?


Comment 2 Greg Martyn 2007-06-23 21:37:40 UTC
That's strange. Somehow I had gcc-c++ installed without libstdc++-devel..

In order to compile qt4 apps, all I had to do was:

[root@localhost ~]# yum -y install libstdc++-devel
Loading "installonlyn" plugin
Setting up Install Process
Parsing package install arguments
Resolving Dependencies
--> Running transaction check
---> Package libstdc++-devel.i386 0:4.1.2-12 set to be updated
---> Package libstdc++-devel.x86_64 0:4.1.2-12 set to be updated

Dependencies Resolved

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 libstdc++-devel         i386       4.1.2-12         fedora            9.4 M
 libstdc++-devel         x86_64     4.1.2-12         fedora             10 M

Transaction Summary
=============================================================================
Install      2 Package(s)
Update       0 Package(s)
Remove       0 Package(s)

Total download size: 20 M
Downloading Packages:
(1/1): libstdc++-devel-4. 100% |=========================| 9.4 MB    00:08
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing: libstdc++-devel              ######################### [1/2]
  Installing: libstdc++-devel              ######################### [2/2]

Installed: libstdc++-devel.i386 0:4.1.2-12 libstdc++-devel.x86_64 0:4.1.2-12
Complete!

Comment 3 Rex Dieter 2007-06-23 21:51:37 UTC
Maybe a bug in yum (who knows?, but not here.

Comment 4 Greg Martyn 2007-06-23 22:39:22 UTC
FWIW, I used the Add/Remove Software "Package Manager" to install development 
files


Note You need to log in before you can comment on or make changes to this bug.